Skip to content

Travel Agency Address

Request

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The Reservation Identifier you wish to update the travel agency details

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
idstring, <= 128 charactersrequired

The unique Travel Agency ID

Example:agency_001
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired

Update Travel Agency Address request payload.

TravelAgencyQueryTravelAgencyAddressobject(TravelAgencyQueryTravelAgencyAddress)
curl -i -X PUT \
  https://api.pp.travelport.net/11/air/ticket/travelagency/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/travelagency/agency_001/updateaddress \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "TravelAgencyQueryTravelAgencyAddress": {
      "Address": {
        "@type": "AddressDetail",
        "AddressLine": [
          "28 BROAD STREET"
        ],
        "City": "ENGLEWOOD",
        "StateProv": {
          "name": "COLORADO"
        },
        "Country": {
          "name": "US"
        },
        "PostalCode": "80111",
        "Addressee": "ONE TEST",
        "role": "Business"
      }
    }
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
@typestring
Example:"response"
transactionIdstring

A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.
Also known as E2ETrackingId.
Not returned in all Hotel API responses.

Example:"49f58f5f-c443-43b4-9f5d-be405fd00a01"
traceIdstring

Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.
For Air Eligibility, returned if a custom trace ID was sent in the request header.
For Hotel Rules, returned if a custom trace ID was sent in the request header.

Example:"TraceID_123456"
correlationIdstring, (uuid)

Identifier used to correlate hotel API invocations across a multi-call business flows.

Example:"49f58f5f-c443-43b4-9f5d-be405fd00a01"
reservationStatusstring(ReservationOfferStatusEnum)

Status of reservation or offer completion.

Enum ValueDescription
Success

All offer items have been booked and issued successfully.

Fail

All offer items have failed to issue.

Partial

Some offer items have failed to issue.

Pending

Some offer items are pending carrier response.

OnHold

Document issuance has not been attempted.

Retry

A communication error has occurred and retry of document issuance is required.

Other

An issue has occurred and will be communicated in the error or warning response.

Resultobject(Result)

Returns the error and/or warning message information, if applicable.
See Error Messaging for additional details.

Identifierobject(Identifier)

A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

NextStepsobject(NextSteps)

Container for the steps that describe actions that may be taken on the containing object.
Not applicable for an Eligibility or Exchange response.

ReferenceListArray of objects, <= 5 items(ReferenceList)
CurrencyRateConversionArray of objects, <= 5 items(CurrencyRateConversion)
Paginationobject(Pagination)

Pagination object used when result sets span across a number of pages.

TravelAgencyobject(TravelAgencyID)
Response
{ "TravelAgency": null, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ null ], "Warning": [ null ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ { … } ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { "@type": "CurrencyRateConversion", "SourceCurrency": { … }, "TargetCurrency": { … }, "ConversionRate": { … } } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } }